bots.invokeWebViewCustomMethod
Send a custom request from a mini bot app, triggered by a web_app_invoke_custom_method event ». The response should be sent using a custom_method_invoked event, see here » for more info on the flow.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Send a custom request from a mini bot app, triggered by a web_app_invoke_custom_method event ». The response should be sent using a custom_method_invoked event, see here » for more info on the flow.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.invokeWebViewCustomMethod" \ -H "Content-Type: application/json" \ -d '{ "params": { "bot": { "_": "inputUserEmpty" }, "customMethod": "string", "params": { "_": "dataJSON", "data": "string" } } }'{ "result": { "_": "dataJSON", "data": "string" }}getRequestedWebViewButton
Fetch the peer request button a bot prepared for a [Mini App](https://core.telegram.org/api/bots/webapps) with `bots.RawRequestWebViewButtonRequest`, invoked when the Mini App emits a [web_app_request_chat](https://core.telegram.org/api/web-events#web-app-request-chat) event, see [here »](https://core.telegram.org/api/bots/buttons#requesting-peers-via-mini-apps) for more info.
reorderPreviewMedias
Reorder a [main mini app previews, see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info. Only owners of bots with a configured Main Mini App can use this method, see [see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info on how to check if you can invoke this method.